Name:           perl-Mojo-JWT
Version:        0.09
Release:        1%{?dist}
Summary:        JSON Web Token the Mojo way
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Mojo-JWT
Source0:        https://cpan.metacpan.org/authors/id/J/JB/JBERGER/Mojo-JWT-%{version}.tar.gz

BuildArch:      noarch
# build requirements
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Module::Build::Tiny)
# runtime requirements
BuildRequires:  perl(:VERSION) >= 5.10
BuildRequires:  perl(Carp)
BuildRequires:  perl(Crypt::OpenSSL::RSA)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(MIME::Base64) >= 3.11
BuildRequires:  perl(Mojo::Base) >= 5.00
BuildRequires:  perl(Mojo::JSON)
# test requirements
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`/usr/bin/perl -V:version`"; echo $version))
Requires:       perl(Crypt::OpenSSL::RSA)
Requires:       perl(Digest::SHA)

%description
JSON Web Token is described in https://tools.ietf.org/html/rfc7519.
Mojo::JWT implements that standard with an API that should feel familiar to
Mojolicious users (though of course it is useful elsewhere). Indeed, JWT is
much like Mojolicious::Sessions except that the result is a URL-safe text
string rather than a cookie.

%prep
%setup -q -n Mojo-JWT-%{version}

%build
/usr/bin/perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/Mojo*
%{_mandir}/man3/Mojo*

%changelog
* Sun Nov 22 2020 Emmanuel Seyman <emmanuel@seyman.fr> - 0.09-1
- Update to 0.09

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.08-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.08-4
- Perl 5.32 rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.08-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Aug 30 2019 Emmanuel Seyman <emmanuel@seyman.fr> - 0.08-2
- Take into account review comments (#1747142)

* Wed Aug 28 2019 Emmanuel Seyman <emmanuel@seyman.fr> - 0.08-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
